# think-pagination-s

pagination for ThinkJS 2

## install

```sh
npm install think-pagination-s@1.6.0
```

## how to use

### controller

```js
import pagination from 'think-pagination-s';
export default class think.controller.base {
  async indexAction(){
    let data = await this.model('user').page(this.get('page')).countSelect();
    let html = pagination(data, this.http, {});
    this.assign('pagination', html);
  }
}
```

### view

#### ejs

```html
{%-pagination%}
```

#### nunjucks

```html
{{pagination | safe}}
```

## api

### pagination(pagerData, http, options)

* `pagerData`  get from by model.countSelect
* `http` http object
* `options` options

`options`:

```js
{
  desc: false, //show description
  pageNum: 2, 
  url: '', //page url, when not set, it will auto generated
  ul_class: '', //pagenation extra ul class
  li_class: '', //pagenation extra li class
  a_class: '', //pagenation extra a class
  text: {
    next: 'Next',
    prev: 'Prev',
    total: 'count: ${count} , pages: ${pages}'
  }
}
```
